
Application: gvSIG desktop - gvSIG bugs #4581
PostGIS: Zoom to layer with wrong extent
07/27/2017 01:05 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category: Database
Target version: 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2829 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce it:
    -  create and open a view in EPSG:4326;
    -  add a PostGIS layer defined in a different CRS than the view (e.g. EPSG:23032) as first layer;
    -  add the same PostGIS layer of before as second layer;
    -  change the view extent panning or zooming;
    -  execute "Zoom to layer" in reference to the second one.
Result:
    -  the view extent is different from the layer one.

History
#1 - 08/01/2017 11:25 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#2 - 08/06/2017 12:13 PM - Joaquín  del Cerro Murciano
- File esp_provincias_and_country.zip added

No he podido reproducir el error.
Las pruebas que he hecho son:
    -  He cargado el shape "esp_provincias" en una vista en 23030.
    -  Lo he exportado a una BBDD postgres.
    -  He creado una vista en 4326.
    -  He cargado la tabla "esp_provincia", en la ventana de abrir capa me ha reconocido la proyeccion como 23030.
    -  No me ha hecho zoom automaticamente a la capa, esto seria un error.
    -  La he vuelto a cargar la capa de nuevo.
    -  He hecho zoom a la segunda capa que he caragado (la primera en el TOC), y lo ha hecho correctamente.
    -  He desplazado la vista (PAN) y he hecho zoom a la primera capa. Lo ha hecho correctamente.
    -  He cargado el shape "country" (que esta en 4326), y he comprobado que las capas estanam em su sitio.

El unico error que obserbo es que no me hace zoom automaticamente al cargar la primera capa de postgreSQL si la capa esta reproyectada.

#3 - 08/06/2017 12:33 PM - Antonio Falciano

Joaquín, the error you mentioned is reported in #4579 yet. I can't reproduce it again too, very strange.
I will check it better tomorrow.
#4 - 08/07/2017 10:31 AM - Antonio Falciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197)
- Status changed from New to Closed

I can't reproduce again the issue in build 2729, so I close the ticket. Sorry for the waste of time.

#5 - 08/07/2017 06:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)

Files
esp_provincias_and_country.zip 2.06 MB 08/06/2017 Joaquín  del Cerro Murciano
